export const DOWNLOAD_TYPES = ['CSV'];

export const ORDER = {
  ORDER_BY: 'createdAt',
  DESC: 'desc',
};

export const PAGINATION = {
  PAGE: 1,
  PAGE_SIZE: 10,
  TOTAL: 0,
};

export const VIEW_ACTION_TYPES = {
  STEPS: 'Steps',
  JSON: 'Json Code',
  PUPPETEER_CODE: 'Puppeteer Code',
};

export const FREQUENCIES = {
  DAILY: 'daily',
  WEEKLY: 'weekly',
  MONTHLY: 'monthly',
  CUSTOM: 'custom',
};

export const EVENT_NAMES = {

  COMMON: {
    NAVIGATE_CHANGE_PASSWORD_PAGE: 'navigateToChangePasswordPage',
    REMOVE_EVENT_LISTENER: 'removeEventListener',
    SAVE_CSV_FILE: 'saveCSVFile',
    CLOSE_WINDOW: 'closeWindow',
  },
  ELECTRONSTORE:{
    USER_DATA: 'user_data'
  },
  ELECTRONSTORE:{
    USER_DATA: 'user_data'
  },
  CLIENT_RECORDER: {
    RECORD: 'record',
    PAUSE: 'pause',
    RESUME: 'resume',
    STOP: 'stop',
    REPLAY: 'replay',
    INDICATE_SELECTOR: 'indicateSelector',
    DETAIL_COLUMN_TABLE_RECORD: 'detailColumnTableRecord',
    ON_UPDATE_EVENT_LOG: 'onUpdateEventLog',
    ON_UPDATE_SELECTOR: 'onUpdateSelector',
    ON_UPDATE_DETAIL_SCRAPE_COLUMN: 'onUpdateDetailScrapeColumn',
    ON_CLOSE_RECORDER: 'onCloseRecorder',
  },
  ESSENTIAL: {
    RETRIEVE: 'retrieveEssentialData',
  },
  ROLES: {
    LIST: 'getRoles',
    VIEW: 'getRole',
    CREATE: 'createRole',
    UPDATE: 'updateRole',
    DELETE: 'deleteRole',
  },
  RECORDS: {
    LIST: 'getRecords',
    VIEW: 'getRecord',
  },
  SCRAPING_DATA: {
    VIEW: 'getScratchData',
    UPDATE: 'updateScratchData',
  },
  JOBS: {
    LIST: 'getJobs',
    VIEW: 'getJob',
    CREATE: 'createJob',
    UPDATE: 'updateJob',
    DELETE: 'deleteJob',
    RUN_JOB: 'runJob',
  },
  COUNTIES: {
    LIST: 'getCounties',
    VIEW: 'getCounty',
    CREATE: 'createCounty',
    UPDATE: 'updateCounty',
    DELETE: 'deleteCounty',
  },
  USERS: {
    LIST: 'getUsers',
    VIEW: 'getUser',
    CREATE: 'createUser',
    UPDATE: 'updateUser',
  },
  AUTHENTICATION: {
    LOGIN: 'login',
    LOGOUT: 'logout',
    REGISTER: 'register',
    INITIATE_RESET_PASSWORD: 'initiateResetPassword',
    CHANGE_PASSWORD: 'changePassword',
  },
};

export const DATE_TIME_FORMAT = {
  MINIMUM_YEAR: 1970,
  SHORT_DATE: 'DD/MM/YYYY',
  SHORT_DATE_EXPORT: 'yyyy-MM-dd',
  DATE_TIME: 'dd/MM/yyyy HH:mm',
  EN_DATE_TIME: 'YYYY-MM-DD HH:mm:ss',
  DAY_WEEK_DATETIME: 'dddd, DD/MM/YYYY HH:mm',
  TIME_AND_DATE: 'HH:mm DD/MM/YYYY',
  SHORT_TIME: 'HH:mm',
  FULL_TIME: 'HH:mm:ss',
  SHORT_MONTH: 'MM/YYYY',
};

export const STATUS_MESSAGES = {
  CREATE_SUCCESS: 'Create successfully',
  CREATE_FAILED: 'Create failed',
  UPDATE_SUCCESS: 'Update successfully',
  UPDATE_FAILED: 'Update failed',
  DELETE_SUCCESS: 'Delete successfully',
  DELETE_FAILED: 'Delete failed',
  SEND_MAIL_SUCCESS: 'Send mail successfully',
};

export const TIME_INTERVALS = {
  THIRTY_SECONDS_IN_MILLISECONDS: 30 * 1000,
  ONE_MINUTES_IN_MILLISECONDS: 60 * 1000,
  TWO_MINUTES_IN_MILLISECONDS: 2 * 60 * 1000,
  FIVE_MINUTES_IN_MILLISECONDS: 5 * 60 * 1000,
  TEN_MINUTES_IN_MILLISECONDS: 10 * 60 * 1000,
};

export const STALE_TIME = TIME_INTERVALS.THIRTY_SECONDS_IN_MILLISECONDS;
