import { FiHome, FiBriefcase, FiCrosshair, FiUsers } from 'react-icons/fi';
import { CgProfile } from 'react-icons/cg';
import { BiVideoRecording } from 'react-icons/bi';

export const ROUTES = {
  DASHBOARD: {
    ROOT: {
      path: '/dashboard',
      title: 'Dashboard',
      icon: FiHome,
      isShowInSideBar: true,
    },
    COUNTIES: {
      ROOT: {
        path: '/dashboard/counties',
        title: 'Counties',
        permissions: ['admin', 'user'],
        icon: FiCrosshair,
        isShowInSideBar: true,
      },
      VIEW: {
        path: '/dashboard/counties/:countyId',
        title: 'County Detail',
        permissions: ['admin', 'user'],
      },
    },
    JOBS: {
      ROOT: {
        path: '/dashboard/jobs',
        title: 'Jobs',
        permissions: ['admin','user'],
        icon: FiBriefcase,
        isShowInSideBar: true,
      },
      VIEW: {
        path: '/dashboard/jobs/:jobId',
        title: 'Job Detail',
        permissions: ['admin'],
      },
      CREATE: {
        path: '/dashboard/create-job',
        title: 'Create Job',
        permissions: ['admin'],
      },
    },
    USERS: {
      ROOT: {
        path: '/dashboard/users',
        title: 'Users',
        permissions: ['admin'],
        icon: FiUsers,
        isShowInSideBar: true,
      },
      VIEW: {
        path: '/dashboard/users/:userId',
        title: 'User Detail',
        permissions: ['admin'],
      },
      CREATE: {
        path: '/dashboard/create-user',
        title: 'Create User',
        permissions: ['admin'],
      },
    },
    RECORDS: {
      ROOT: {
        path: '/dashboard/records',
        title: 'Records',
        permissions: ['admin'],
        icon: BiVideoRecording,
        isShowInSideBar: true,
      },
      VIEW: {
        path: '/dashboard/jobs/:jobId/records/:recordId',
        title: 'Record Detail',
        permissions: ['admin'],
      },
      VIEW_SCRATCH_DATA: {
        path: '/dashboard/records/:recordId/scratch-data',
        title: 'Scratch Data',
        permissions: ['admin'],
      },
      CREATE: {
        path: '/dashboard/create-record',
        title: 'Create Record',
        permissions: ['admin'],
      },
    },
    PROFILE: {
      ROOT: {
        path: '/dashboard/profile',
        title: 'Profile',
        icon: CgProfile,
        isShowInSideBar: true,
      },
    },
    NOT_FOUND: {
      path: '/dashboard/404',
      title: 'Not Found',
      permissions: ['admin'],
    },
  },
  LOGIN: {
    path: '/login',
    title: 'Login',
  },
  FORGOT_PASSWORD: {
    path: '/forgot-password',
    title: 'Forgot Password',
  },
  CHANGE_PASSWORD: {
    path: '/change-password',
    title: 'Change Password',
  },
  LOGOUT: {
    path: '/logout',
    title: 'Logout',
  },
  NOT_FOUND: {
    path: '/404',
    title: 'Not Found',
  },
};
